--[[
神兽保佑！菩萨包邮！佛祖包邮！真主阿拉包邮！代码无BUG！！！
创建作者：Administrator
创建时间：2015年1月23日21时18分8秒
感谢使用：更鸟游戏
]]
------------------------------------------
function 系统配置(t)
    t.title = "我的游戏"				-- 文本型	窗口标题
    t.window.width = 800			-- 数值型	宽度
    t.window.height = 600			-- 数值型	高度
    t.window.msaa = 0					-- 数值型	抗锯齿数
    t.window.vsync =			true		-- 逻辑型	垂直同步
    t.window.borderless = false		-- 逻辑型	无边框
    t.window.resizable =	false		-- 逻辑型	可调节大小
    t.window.highdpi =		false		-- 逻辑型	高清模式显示，土豪专用
    t.window.srgb =				true		-- 逻辑型	伽马修正
    t.window.fullscreen =	false		-- 逻辑型	全屏
    t.window.fullscreentype = "exclusive"	-- 文本型	全屏显示模式
		
    t.modules.joystick = 	false		-- 逻辑型	手柄
    t.modules.audio =			true		-- 逻辑型	音频
    t.modules.sound =			true		-- 逻辑型	声音流
    t.modules.physics =		false		-- 逻辑型	物理引擎
    t.modules.thread =		false		-- 逻辑型	线程系统
end
-----------头部可以intro，变量等----------



------------------------------------------
function 引擎创建()
	--置资源目录(取游戏路径())  --设置游戏目录，必有该语句！
	置资源目录(取调试目录().."Example/Win32/GameRes")
	--因为例程演示需要，设置演示资源目录，编译时务必手动更改游戏目录
	
	sound = 创建声音("m014.ogg", "stream")
	
	--只支持ogg和wav两种格式
	--"static"是静态加载，一次性载入内存,耗内存，其实还是下面这种方式好
	--"stream"是动态加载
	sound:setLooping()
	播放声音(sound)
	
	背景图形 = 创建图像("GameBack.jpg")
	背景精灵 = 精灵:new(背景图形,0,0,800,600)
	
	水面物体图形 = 创建图像("GameBackAni_04.png")
	帆船精灵 = 精灵:new(水面物体图形,0, 0,40,50)
	小船精灵 = 精灵:new(水面物体图形,40,0, 80,50)
	小船精灵:置中心(40,25)

	叶子1图形 = 创建图像("GameBackAni_01.png")
	叶子2图形 = 创建图像("GameBackAni_02.png")
	叶子3图形 = 创建图像("GameBackAni_03.png")

	叶子1精灵 = 精灵:new(叶子1图形,0, 0,86,113)
	叶子2精灵 = 精灵:new(叶子2图形,0, 0,370,115)
	叶子3精灵 = 精灵:new(叶子3图形,0, 0,118,182)
	
	叶子1精灵:置中心(43,0)
	叶子2精灵:置中心(0,55)
	
	水面偏移值 = 0.4
	帆船偏移值 = 0.2
	小船偏移值 = 0.002
	叶子1弧度偏移 = 0.002
	叶子2弧度偏移 = 0.002
	叶子3弧度偏移 = -0.0015

	叶子1弧度 = 0
	叶子2弧度 = 0
	叶子3弧度 = 0
	帆船位置 = 0
	小船弧度 = 0
end
------------------------------------------

function 逻辑更新(dt)

end
------------------------------------------

function 画面显示()

	背景精灵:显示()

	帆船精灵:显示(300 + 帆船位置,330)
	帆船位置 = 帆船位置 + 帆船偏移值
	
	if(帆船位置 >200 or 帆船位置 < 0)then
	帆船偏移值 =  -帆船偏移值
	end
	
	小船精灵:显示(450,450,小船弧度,1, 1)
	小船弧度 = 小船弧度 + 小船偏移值
	
	if(小船弧度 >0.1 or 小船弧度 <= -0.1)then
	小船偏移值 =  -小船偏移值
	end 

	叶子1精灵:显示(675 + 43,5, 叶子1弧度,1, 1)
	叶子1弧度 = 叶子1弧度 + 叶子1弧度偏移
	
	if(叶子1弧度 >= 0.2 or 叶子1弧度 <= -0.2)then
	叶子1弧度偏移 =  -叶子1弧度偏移
	end

	叶子2精灵:显示(0,50,叶子2弧度,1, 1)
	叶子2弧度 = 叶子2弧度 + 叶子2弧度偏移
	
	if(叶子2弧度 >= 0.1 or 叶子2弧度 < -0.05)then
	叶子2弧度偏移 =  -叶子2弧度偏移
	end

	叶子3精灵:显示(0,100,叶子3弧度,1, 1)
	叶子3弧度 = 叶子3弧度 + 叶子3弧度偏移
	
	if(叶子3弧度 > 0 or 叶子3弧度 < -0.2)then
	叶子3弧度偏移 =  -叶子3弧度偏移
	end

end
------------------------------------------

function 键盘按下(key)

end
------------------------------------------

function 键盘放开(key)
	if key == "escape" then 事件停止() end
end
------------------------------------------

function 鼠标按下(x,y,button)
	
end
------------------------------------------

function 鼠标放开(x,y,button)
	
end
------------------------------------------

function 鼠标移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 鼠标滚轮移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 窗口尺寸变化(w,h)
		
end
------------------------------------------

function 窗口获得焦点(f)
		
end
------------------------------------------

function 窗口鼠标进入(f)
		
end
------------------------------------------

function 窗口可视状态(v)
		
end
------------------------------------------

function 线程错误消息(thread,errorstr)
		
end
------------------------------------------

function 拖放得到目录(dir)

end
------------------------------------------

function 拖放得到文件(f)

end
------------------------------------------